hadoop-common-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kayla Jay <kaylai...@yahoo.com>
Subject Upgrade from 16.2 to 17.0 Errors
Date Tue, 27 May 2008 17:59:26 GMT
Hi

I just upgraded from scratch from 16.2 to 17.0.  A program that used to work on 16.2 is causing
errors with version 17.0
Here's the error:

[main] WARN org.apache.hadoop.mapred.TaskTracker$Child.main(2129) - Error running child
java.lang.AbstractMethodError: MyReader.createKey()Ljava/lang/Object;
at org.apache.hadoop.mapred.MapTask$TrackedRecordReader.createKey(MapTask.java:146)
at org.apache.hadoop.mapred.MapRunner.run(MapRunner.java:42)
at org.apache.hadoop.mapred.MapTask.run(MapTask.java:219)
at org.apache.hadoop.mapred.TaskTracker$Child.main(TaskTracker.java:2124)

Any ideas?


Thanks.


      
Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message